shm_attach
shm_get_var
Semaphore Functions
PHP Manual

# shm_detach

(PHP 4, PHP 5)

shm_detach — Disconnects from shared memory segment

### Description

bool shm_detach ( int `$shm_identifier` )

shm_detach() disconnects from the shared memory given by the `shm_identifier` created by shm_attach(). Remember, that shared memory still exist in the Unix system and the data is still present.

### Parameters

`shm_identifier`

  A shared memory resource handle as returned by shm_attach()

### Return Values

shm_detach() always returns `TRUE`.

### See Also

- shm_attach()
- shm_remove()
- shm_remove_var()

shm_attach
shm_get_var
Semaphore Functions
PHP Manual